.gm-screen-dialog {
  .dialog-content {
    flex: 100%;
    height: 100%;
    overflow: hidden;
  }
}

.gm-screen-controls {
  ol {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    list-style-type: none;
    margin: 0;
    padding: 0;
  }

  li {
    margin: 5px;
  }
}

.gm-screen-grid {
  display: flex;
  flex-direction: column;
  height: 100%;

  .grid-wrapper {
    align-items: stretch;
    display: flex;
    flex: 1;
    flex-direction: row;
    flex-wrap: nowrap;
    height: 94%;
    transform: translateX(0);
    transition: transform 250ms ease-in-out;
    width: 400%;

    &[data-page='2'] {
      transform: translateX(-25%);
    }

    &[data-page='3'] {
      transform: translateX(-50%);
    }

    &[data-page='4'] {
      transform: translateX(-75%);
    }
  }

  .grid-page {
    display: flex;
    flex: 100%;
    flex-direction: column;
    height: 100%;

    // &.active {
    //   display: flex;
    // }

    > * {
      flex: 1;
    }
  }

  .grid {
    display: grid;
    grid-column-gap: 10px;
    grid-row-gap: 10px;
    grid-template-columns: 1fr 1fr 1fr;
    // grid-template-rows: 1fr 1fr 1fr;
    height: 95%;
    list-style-type: none;
    margin: 0;
    padding: 0;
  }

  .grid-item {
    background: $c-white;
    border: 2px solid $c-silver;
    font-size: 13px;
    list-style-type: none;
    margin: 0;
    min-height: 32px;
    overflow-y: auto;
    padding: 4px;
    position: relative;

    &.drop-hover {
      background-color: $c-blaze;
      opacity: .4;
    }

    &.span--3 {
      grid-column-end: span 3;
    }

    &:hover {
      .controls {
        display: block;
      }
    }

    .controls {
      cursor: pointer;
      display: none;
      position: absolute;
      right: 10px;
      top: 10px;

      &:hover {
        color: $c-red;
      }
    }
  }
}

.grid-item {
  table {
    background: transparent;
    border: 0;
  }

  th,
  td {
    border: 0;
    padding: 4px;
  }

  thead {
    td,
    th {
      font-weight: bold;
    }
  }

  th {
    font-weight: bold;
  }

  tbody {
    tr {
      &:nth-child(odd) {
        background: $ct-olive--15;
      }
    }
  }
}
